﻿using System.Windows.Forms;

using ScottPlot;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            plot.AddSignal(DataGen.Sin(51));
            plot.AddSignal(DataGen.Cos(51));

            plot.Frameless();
            plot.Grid(enable : false);

            plot.AddScaleBar(5, .25, "100 ms", "250 mV");

            plot.Style(Style.Black);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}